| #### General Attributes autotdfchange {yes | no} Specifies whether automatic changes to the time differential factor are enabled or disabled. The value is either yes or no. The value is determined by the operating system (that is, it cannot be changed with the modify operation). clockadjrate Specifies the rate at which the DTS server or clerk entity adjusts the node's clock during a synchronization. This cannot be set by a user, but is built into dtsd. clockresolution Specifies the amount of time between system clock ticks. The value is determined by the operating system (that is, it cannot be changed with the modify operation). globalservers relative-time Specifies the set of global servers known by the node. The information returned for each server is as follows: the DCE name of the host followed by /self, the last time polled, the last observed time, the last observed skew, a binary value of whether the server was used in the last synchronization, and the transport time. The subattributes are respectively called: name, timelastpolled, lastobstime, lastobsskew, inlastsync, and transport. globaltimeout relative-time Specifies the amount of time the node waits for a response to a WAN synchronization request before sending another request or declaring a global server to be unavailable. The number of attempts made to reach the server is controlled by the queryattempts attribute. The default value is 0-00:00:15.000, and the range of possible values is 0-00:00:00.000 0-00:10:00.000. localservers Specifies the set of local servers known by the node. The information returned for each server is as follows: the principal name that the server is running as, the last time polled, the last observed time, the last observed skew, a binary value of whether the server was used in the last synchronization, and the transport time. The subattributes are respectively called: name, timelastpolled, lastobstime, lastobsskew, inlastsync, and transport. localtimeout relative-time Specifies the amount of time the node waits for a response to a synchronization request before sending another request or declaring a server to be unavailable. The number of attempts made to reach the server is controlled by the queryattempts attribute. The default is 0-00:00:05.000, and the range of possible values is 0-00:00:00.000 0-00:01:00.000. Note that this attribute controls only the initial contact with a time provider. During this initial contact, the time provider itself determines the timeout value for actually reporting times. This allows a time provider attached to a slow source like a modem to request that dtsd wait for a longer interval. maxdriftrate Specifies the worst-case drift rate of the node's clock, in nanoseconds per second, as determined by the manufacturer's specifications (that is, it cannot be changed with the modify operation). maxinaccuracy relative-time Specifies the inaccuracy limit for the node. When the node exceeds the maximum inaccuracy setting, it attempts to synchronize. The default is 0-00:00:00.100, and the range of possible values is 0-00:00:00.0 10675199-02:48:05.478. The maximum number of hours is 24. A practical value is less than 60 seconds. minservers integer Specifies the minimum number of servers required for a synchronization. Settings of 1 or 2 may cause unreliable computed times. The default is 3 and the range of possible values is 110. nexttdfchange Specifies the future time at which the time differential factor is automatically changed. The value is determined by the operating system (that is, it cannot be changed with the modify operation). queryattempts integer Specifies the number of attempts that a node makes to contact a server before the node considers the server unavailable. The default is 3, and the range of possible values is 110. status Specifies the state of the DTS entity. This is a read-only attribute and its possible values are as follows: disabled The DTS entity is disabled. enabled The DTS entity is enabled. syncing The DTS entity is synchronizing. updating The DTS entity is updating the time. syncinterval relative-time Specifies the interval a node must wait to synchronize. Also specifies synchronization frequency when a node reaches the value specified by the maxinaccuracy attribute. For clerks the default is 0-00:10:00.0, and the range of possible values is 0-00:00:30.0 - 01 00:00:00.00. For servers the default is 0-00:02.00.0, and the range of possible values 0-00:00:30.0 01 00:00:00.00. tdf relative-time Specifies the Time Differential Factor (TDF), which is the amount of time the server varies from Greenwich mean time (GMT) or Coordinated Universal Time (UTC). The default is 0-00:00:00.000, and the range of possible values is -13-00:00:00 13-00:00:00. This may not be set by a user, but rather is obtained from various time zone information repositories (for example, the TZ environment variable, kernel structures, and so on). timerep Specifies the internal timestamp format used by the node. This is not related to the format that is used to display the current time to the user (see the clock show command). Currently, DTS only uses V1.0 timestamps. This attribute may not be set by the user; its value is built into a dtsd. tolerance relative-time Specifies the maximum separation allowed between the local clock and the computed time before synchronizations become abrupt rather than gradual (monotonic). The default is 0-00:10:00.000, and the range of possible values is 0-00:00:00.500 10675199-02:48:05.478. type Specifies whether the node is a DTS server or clerk. version Specifies the DTS software version installed on the node. This attribute cannot be changed with the modify operation. ####